' Quick PDF Library
' VBScript Sample: Add a barcode to a PDF

' * Remember to set your license key below
' * This sample shows how to add a barcode onto a page in a PDF

WScript.Echo("Add a barcode a PDF - Quick PDF Library")

Dim ClassName
Dim LicenseKey
Dim FileName

ClassName = "DebenuPDFLibraryAX1011.PDFLibrary"
LicenseKey = "..." 'INSERT LICENSE KEY HERE
FileName = "barcode.pdf"

Dim QP
Dim Result

Set QP = CreateObject(ClassName)
WScript.Echo("Library version: " + QP.LibraryVersion)

Result = QP.UnlockKey(LicenseKey)
If Result = 1 Then
  WScript.Echo("Valid license key: " + QP.LicenseInfo)

' * When you Create the Quick PDF Library object a PDF
' * document with one blank page is automatically loaded
' * memory and selected. So you can get started immediately.

' * Draw the barcode on the selected page using DrawBarcode function.
' * In this example we use parameter 3 which is for a Code-128 barcode

If QP.DrawBarcode(300, 600, 60, 20, "Quick PDF Library Rocks", 3, 0) = 1 Then
	WScript.Echo("The barcode was successfully added to the selected page.")
	Else
	WScript.Echo("The barcode could not be added to the selected page.")
	End If

' * Save the barcode to the PDF using the SaveToFile function

  If QP.SaveToFile(FileName) = 1 Then
    WScript.Echo("File " + FileName + " written successfully.")
  Else
    WScript.Echo("Error, file could not be written. Make sure that the file exists and that it is not open.")
  End If
Else
  WScript.Echo("- Invalid license key - ")
  WScript.Echo("Please set your license key by editing this file")
End If

Set QP = Nothing
WScript.Sleep(9000)