' Quick PDF Library

' * Remember to set your license key below
' * This sample shows how to draw simple shapes onto the page
' * A file called draw-shapes.pdf is written to disk

WScript.Echo("Draw Shapes - Quick PDF Library Sample")

Dim ClassName
Dim LicenseKey
Dim FileName

ClassName = "DebenuPDFLibraryAX1011.PDFLibrary"
LicenseKey = "..." ' INSERT LICENSE KEY HERE
FileName = "draw-shapes.pdf"

Dim QP
Dim Result

Set QP = CreateObject(ClassName)
WScript.Echo("Library version: " + QP.LibraryVersion)
Result = QP.UnlockKey(LicenseKey)
If Result = 1 Then
  WScript.Echo("Valid license key: " + QP.LicenseInfo)

  ' 100% red rectangle
  Call QP.SetFillColor(1, 0, 0)
  Call QP.DrawBox(100, 500, 400, 200, 1)

  ' 20% green / 50% blue circles
  Call QP.SetFillColor(0, 0.2, 0.5)
  Call QP.DrawCircle(200, 400, 50, 1)
  Call QP.DrawCircle(400, 400, 50, 1)

  ' Yellow triangles
  Call QP.SetFillColor(0.75, 0.75, 0)
  Dim X
  For X = 1 To 4
    Call QP.StartPath(100 + X * 80, 200)
    Call QP.AddLineToPath(70 + X  * 80, 170)
    Call QP.AddLineToPath(100 + X * 80, 140)
    Call QP.AddLineToPath(130 + X * 80, 170)
    Call QP.ClosePath
    Call QP.DrawPath(1)
  Next

  If QP.SaveToFile(FileName) = 1 Then
    WScript.Echo("File " + FileName + " written successfully")
  Else
    WScript.Echo("Error, file could not be written")
  End If
Else
  WScript.Echo("- Invalid license key -")
  WScript.Echo("Please set your license key by editing this file")
End If

Set QP = Nothing