' Quick PDF Library
' Sample: Page origin and co-ordinates

' * Remember to set your license key below
' * This sample shows how to set the page origin and use
'   different drawing co-ordinates
' * A file called page-origin-and-co-ordinates.pdf is written to disk

WScript.Echo("Page origin and co-ordinates - Quick PDF Library Sample")

Dim ClassName
Dim LicenseKey
Dim FileName

ClassName = "DebenuPDFLibraryAX1011.PDFLibrary"
LicenseKey = "..." 'INSERT LICENSE KEY HERE
FileName = "page-origin-and-co-ordinates.pdf"

Dim QP
Dim Result

Set QP = CreateObject(ClassName)
WScript.Echo("Library version: " + QP.LibraryVersion)
Result = QP.UnlockKey(LicenseKey)
If Result = 1 Then
  WScript.Echo("Valid license key: " + QP.LicenseInfo)

  ' Use the top-left corner of the page
  Call QP.SetOrigin(1)

  ' Use millimetres
  Call QP.SetMeasurementUnits(1)

  ' Draw a 100 x 100 mm green rectangle
  Call QP.SetLineColor(0, 0.8, 0)
  Call QP.DrawBox(50, 20, 100, 100, 0)
  Call QP.DrawText(60, 30, "It's hip to be square...")

  If QP.SaveToFile(FileName) = 1 Then
    WScript.Echo("File " + FileName + " written successfully")
  Else
    WScript.Echo("Error, file could not be written")
  End If
Else
  WScript.Echo("- Invalid license key -")
  WScript.Echo("Please set your license key by editing this file")
End If

Set QP = Nothing