' Quick PDF Library
' Sample: Rendering PDF to an image format

' * Remember to set your license key below
' * This sample shows how to render a PDF page to image format
' * A file called render-pdf-to-image-1.jpg is written to disk

WScript.Echo("Render PDF to image - Quick PDF Library Sample")

Dim ClassName
Dim LicenseKey
Dim FileName

ClassName = "DebenuPDFLibraryAX1011.PDFLibrary"
LicenseKey = "..." 'INSERT LICENSE KEY HERE
FileName1 = "pdf-to-image-temp.pdf"
FileName2 = "pdf-to-image-%p.jpg"

Dim QP
Dim Result

Set QP = CreateObject(ClassName)
WScript.Echo("Library version: " + QP.LibraryVersion)
Result = QP.UnlockKey(LicenseKey)
If Result = 1 Then
  WScript.Echo("Valid license key: " + QP.LicenseInfo)
  
  ' * Draw some objects onto a new PDF
  Call QP.SetOrigin(1)
  Call QP.SetMeasurementUnits(1)
  Call QP.SetPageDimensions(100, 100)
  Call QP.SetFillColor(0.8, 0, 0.2)
  Call QP.DrawBox(0, 0, 100, 100, 1)
  Call QP.SetTextSize(48)
  Call QP.SetTextColor(1, 1, 1)
  Call QP.SetTextAlign(1)
  Call QP.DrawTextBox(0, 0, 100, 100, "Hello", 0)
 
  ' * Save the new PDF to disk
  if QP.SaveToFile(FileName1) = 1 Then
    WScript.Echo("PDF file written successfully to disk")
  Else
    WScript.Echo("Error, PDF file could not be written to disk")
  End If
  
  ' * Load the new PDF back into memory
  Call QP.LoadFromFile(FileName1, "")
  
  ' * Render the PDF as an JPG image and save it to disk
  if QP.RenderDocumentToFile(96, 1, 1, 1, FileName2) = 1 Then
    WScript.Echo("JPG image written successfully to disk")
  Else
    WScript.Echo("Error, JPG image could not be written to disk")
  End If
Else
  WScript.Echo("- Invalid license key -")
  WScript.Echo("Please set your license key by editing this file")
End If

Set QP = Nothing