' Quick PDF Library
' VBScript Sample: Set form field value in a PDF form

' * Remember to set your license key below
' * This sample shows how to count fields in a PDF form

WScript.Echo("Set form field value - Quick PDF Library Sample")

Dim ClassName
Dim LicenseKey
Dim FileName
Dim FormFieldCount

ClassName = "DebenuPDFLibraryAX1011.PDFLibrary"
LicenseKey = "..." 'INSERT LICENSE KEY HERE
FileName = "pdf_store_order_form.pdf"

Dim QP
Dim Result

Set QP = CreateObject(ClassName)
WScript.Echo("Library version: " + QP.LibraryVersion)
Result = QP.UnlockKey(LicenseKey)
If Result = 1 Then
  WScript.Echo("Valid license key: " + QP.LicenseInfo)
  Call QP.LoadFromFile(FileName, "")
  
  If QP.SetFormFieldValueByTitle("Company Name", "Quick PDF Library") = 1 Then
  WScript.Echo("Form field value set successfully")
  Else
  WScript.Echo("Form field value could not be set!")
  End If
  
  If QP.SaveToFile("update_pdf_form.pdf") = 1 Then
  WScript.Echo("Updated PDF form saved to disk successfully")
  Else
  WScript.Echo("Updated PDF form could not be saved to disk. Try again.")
  End If

Else
  WScript.Echo("- Invalid license key -")
  WScript.Echo("Please set your license key by editing this file")
End If

Set QP = Nothing